# SNP query tool for answering 15 questions used for a Bayesian analysis.
#    Copyright (C) <2012>  Thomas Freina and Christian X. Weichenberger
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# $Id: AnswerObject.pm 32 2011-03-19 11:45:28Z dune $

use strict;
use warnings;

package Eurac::AnswerObject;

use Carp;

sub new
{
	my ( $class, %arg ) = @_;

	my $self = bless {
		_snpid   => $arg{snpid}   || Carp::cluck("no snpid"),
		_answers => $arg{answers} || Carp::cluck("no answers")
	}, $class;

	return $self;
}

# Getters a.k.a. Accessors

sub get_snpid
{
	return $_[0]->{_snpid};
}

sub get_answers
{
	return $_[0]->{_answers};
}

1;
