# SNP query tool for answering 15 questions used for a Bayesian analysis.
#    Copyright (C) <2012>  Thomas Freina and Christian X. Weichenberger
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

use strict;
use warnings;

package Eurac::Diagnostics;

sub print_INC
{
	print "--- INC ---\n";
	print join( "\n", @INC ), "\n------\n";
}

sub print_ARGV
{
	print "--- ARGV ---\n";
	print join( "\n", @ARGV ), "\n------\n";
}

# arg1: hashref: Options
sub print_options
{
	my $options = shift;
	print "--- options ---\n";
	foreach my $k ( keys %{$options} )
	{
		print $k, " = ", $options->{$k}, "\n";
	}
	print "------\n";
}

sub get_ensembl_version
{
	# my ($self) = @_;
	return Bio::EnsEMBL::Registry->software_version();
}

sub print_ensembl_version
{
	print "--- EnsEMBL ", &get_ensembl_version(), " ---\n";
}

1;
